<template>
  <div class="marketTop__search">
    <div class="marketTop__search-inputWrapper">
      <input v-model="search" class="marketTop__search-input" type="text" placeholder="Введите запрос"/>
      <svg class="marketTop__search-icon" width="17" height="21" viewbox="0 0 17 21" fill="none" xmlns="http://www.w3.org/2000/svg">
        <circle cx="7.3773" cy="7.3773" r="6.3773" stroke="white" stroke-width="2"></circle>
        <path d="M11.9785 12.2954L16.4983 18.4728C16.7657 18.8381 16.6862 19.351 16.3208 19.6183C15.9555 19.8857 15.4426 19.8062 15.1753 19.4408L10.6554 13.2635L11.9785 12.2954Z" fill="white"></path>
      </svg>
    </div>
    <div :class="{show:search}" class="marketTop__search-popularSearch">
      <Link :href="item.url" v-for="item in items"
            class="marketTop__search-popularSearch--item">
        {{ item.name }}
      </Link>
    </div>
  </div>
</template>

<script setup>
import {ref, watch} from "vue";
import axios from "axios";
import {Link} from "@inertiajs/vue3";

const search = ref(null)
const items = ref([])

watch(search, (val) => {
  if(val){
    axios.get(route('search'),{
      params:{
        search:val
      }
    }).then((res) => {
      console.log(res.data);
      items.value = res.data

    })
  }else{
    items.value = null;
  }
})

</script>

